.include "m16def.inc"

	rjmp	init
;-------------------------------------------------------------------------
;				Interrupt Handler
;-------------------------------------------------------------------------
;	.org	ovf0addr
;.include "ovf0int.inc"
;-------------------------------------------------------------------------
;				Initialization
;-------------------------------------------------------------------------
init:	
			ldi temp1, LOW(RAMEND)      ; LOW-Byte der obersten RAM-Adresse
           	out SPL, temp1
           	ldi temp1, HIGH(RAMEND)     ; HIGH-Byte der obersten RAM-Adresse
           	out SPH, temp1
			
			ldi	a0, 1<<CS01^1<<CS00
			out	TCCR0, a0			;prescaler 1/64
			ldi	a0, 1<<TOIE0
			out	TIMSK, a0			;enable timer interrupt

			clr	flags
			rcall w1_reset
			rcall lcd_init     ;Display initialisieren
           	rcall lcd_clear    ;Display lschen

;-------------------------------------------------------------------------
;				Main Loop
;-------------------------------------------------------------------------
main:		rcall	measure				;temperature measurement

_mai1:		ldi temp1, 0b11000000
		   	rcall lcd_command				;line 1
	
			sbrs	flags, fdate
			rcall	display_temp			;temperature

_mai2:		sbrs	key_reg, key_press
			rjmp	_mai3
			cbr	key_reg, 1<<key_press
			ldi	a0, 1<<fdate
			eor	flags, a0					;date / temperature
			rcall   lcd_clear
			rjmp	_mai1

_mai3:	
;			eor	rtc_b0, second
;			sbrs	rtc_b0, 0
;			rjmp	_mai2
;
;			rcall	inc_second						;one second gone
			rjmp	main

.include "1wire.inc"
.include "LCDTRTC.H"
.include "HARDWARE.H"
.include "MEASURE.INC"
.include "LCDanz.inc"
.include "DISPTEMP.INC"
